/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package battle;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Image;
import java.util.Timer;
import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 *
 * @author jub
 * Panel in which the magic happens.
 */
class MainPanel extends JPanel {

    private World world;
    private MListener mListener;
    private Timer timer;
    private Image img;

        /**Constructor, initializes the panel and constructs necessary elements.
     @param w World in which the magic happens =D.
     */
    public MainPanel(World w) {
        img = new ImageIcon("space.jpg").getImage();
        Dimension size = new Dimension(img.getWidth(null), img.getHeight(null));
        setPreferredSize(size);
        setMinimumSize(size);
        setMaximumSize(size);
        setSize(size);
        setLayout(null);
        world = w;
        mListener = new MListener(w, this);
        addMouseMotionListener(mListener);
        addMouseListener(mListener);

    }

    /**Paints world and stuff.*/
    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g); // it paints the background
        g.drawImage(img, 0, 0, null);
        Graphics2D g2 = (Graphics2D) g;
        world.paintComponent(g2);
    }

    public void enableMouseListener() {
        addMouseMotionListener(mListener);
        addMouseListener(mListener);
    }

    public void desableMouseListener() {
        removeMouseMotionListener(mListener);
        removeMouseListener(mListener);
    }
}
