package glgame;



import glmodel.GLModel;

public class models3D {

	private String name;
	private GLModel mainModel;
	
	/**
	 * 
	 * @param _name, nombre del modelo3D
	 * @param _dir, direccion de la fuente del objeto 3D *.onj
	 */
	public models3D (String _name, String _dir){
		name=_name;
		
		mainModel = new GLModel(_dir);
        mainModel.mesh.regenerateNormals();
        mainModel.makeDisplayList();
		
	}
	
	/**
	 * 
	 * Renderiar su modelo3D
	 */
	public void render(){
            mainModel.render();       // draw the sphere display list


	}
	
	/**
	 * 
	 * devuelve el identificador del modelo3D
	 * @return Identificador del modelo3D
	 */
	public String getName(){
		return name;
	}
}
